(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_x1x1 () Real)
(declare-fun inv_x1x2 () Real)
(declare-fun inv_x1y1 () Real)
(declare-fun inv_x1y2 () Real)
(declare-fun inv_x1y3 () Real)
(declare-fun inv_x1y4 () Real)
(declare-fun inv_x1 () Real)
(declare-fun inv_x2x2 () Real)
(declare-fun inv_x2y1 () Real)
(declare-fun inv_x2y2 () Real)
(declare-fun inv_x2y3 () Real)
(declare-fun inv_x2y4 () Real)
(declare-fun inv_x2 () Real)
(declare-fun inv_y1y1 () Real)
(declare-fun inv_y1y2 () Real)
(declare-fun inv_y1y3 () Real)
(declare-fun inv_y1y4 () Real)
(declare-fun inv_y1 () Real)
(declare-fun inv_y2y2 () Real)
(declare-fun inv_y2y3 () Real)
(declare-fun inv_y2y4 () Real)
(declare-fun inv_y2 () Real)
(declare-fun inv_y3y3 () Real)
(declare-fun inv_y3y4 () Real)
(declare-fun inv_y3 () Real)
(declare-fun inv_y4y4 () Real)
(declare-fun inv_y4 () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_x1 () Real)
(declare-fun phi1_x2 () Real)
(declare-fun phi1_y1 () Real)
(declare-fun phi1_y2 () Real)
(declare-fun phi1_y3 () Real)
(declare-fun phi1_y4 () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn2_y1 () Real)
(declare-fun syn2_y2 () Real)
(declare-fun syn2_y3 () Real)
(declare-fun syn2_y4 () Real)
(declare-fun syn2_0 () Real)
(declare-fun phi2_x1 () Real)
(declare-fun phi2_x2 () Real)
(declare-fun phi2_y1 () Real)
(declare-fun phi2_y2 () Real)
(declare-fun phi2_y3 () Real)
(declare-fun phi2_y4 () Real)
(declare-fun phi2_0 () Real)
(declare-fun syn3_y1 () Real)
(declare-fun syn3_y2 () Real)
(declare-fun syn3_y3 () Real)
(declare-fun syn3_y4 () Real)
(declare-fun syn3_0 () Real)

(assert (not (and (= 0 inv_x1x1) (= 0 inv_x1x2) (= 0 inv_x1y1) (= 0 inv_x1y2) (= 0 inv_x1y3) (= 0 inv_x1y4) (= 0 inv_x1) (= 0 inv_x2x2) (= 0 inv_x2y1) (= 0 inv_x2y2) (= 0 inv_x2y3) (= 0 inv_x2y4) (= 0 inv_x2) (= 0 inv_y1y1) (= 0 inv_y1y2) (= 0 inv_y1y3) (= 0 inv_y1y4) (= 0 inv_y1) (= 0 inv_y2y2) (= 0 inv_y2y3) (= 0 inv_y2y4) (= 0 inv_y2) (= 0 inv_y3y3) (= 0 inv_y3y4) (= 0 inv_y3) (= 0 inv_y4y4) (= 0 inv_y4) (= 0 inv_0))))
(assert (= 0 (+ inv_x1x1 inv_x1y1 inv_y1y1)))
(assert (= 0 (+ inv_x1x2 inv_x1y2 inv_x1y3 inv_x2y1 inv_y1y2 inv_y1y3)))
(assert (= 0 (+ inv_x1 inv_y1)))
(assert (= 0 (+ inv_x2x2 inv_x2y2 inv_x2y3 inv_y2y2 inv_y2y3 inv_y3y3)))
(assert (= 0 (+ inv_x2 inv_y2 inv_y3)))
(assert (= 0 inv_0))
(assert (= 0 (* (- 1) inv_x1x1)))
(assert (= 0 (+ (* (- 1) inv_x1x2) 1)))
(assert (= 0 (+ (* (- 1) inv_x1y1) (* (- 1) inv_x1y2))))
(assert (= 0 (* (- 1) inv_x1y3)))
(assert (= 0 (* (- 1) inv_x1y4)))
(assert (= 0 (* (- 1) inv_x1)))
(assert (= 0 (* (- 1) inv_x2x2)))
(assert (= 0 (+ (* (- 1) inv_x2y1) (* (- 1) inv_x2y2))))
(assert (= 0 (* (- 1) inv_x2y3)))
(assert (= 0 (* (- 1) inv_x2y4)))
(assert (= 0 (* (- 1) inv_x2)))
(assert (= 0 (+ (* (- 1) inv_y1y1) (* (- 1) inv_y1y2) (* (- 1) inv_y2y2))))
(assert (= 0 (+ (* (- 1) inv_y1y3) (* (- 1) inv_y2y3) (* (- 1) 1))))
(assert (= 0 (+ (* (- 1) inv_y1y4) (* (- 1) inv_y2y4) (* (- 1) 1))))
(assert (= 0 (+ (* (- 1) inv_y1) (* (- 1) inv_y2))))
(assert (= 0 (* (- 1) inv_y3y3)))
(assert (= 0 (* (- 1) inv_y3y4)))
(assert (= 0 (* (- 1) inv_y3)))
(assert (= 0 (* (- 1) inv_y4y4)))
(assert (= 0 (* (- 1) inv_y4)))
(assert (= 0 (* (- 1) inv_0)))
(assert (= 0 (* (- 1) (* inv_x1x1 phi1_x1))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi1_x2)) (* (- 1) (* inv_x1x2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi1_y1)) inv_x1x1 (* (- 1) (* inv_x1y1 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi1_y2)) (* (- 1) inv_x1x1) (* (- 1) (* inv_x1y2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi1_y3)) (* (- 1) (* inv_x1y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_x1)) (* (- 1) (* inv_x1x1 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi1_x2)) (* (- 1) (* inv_x2x2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi1_y1)) inv_x1x2 (* (- 1) (* inv_x1y1 phi1_x2)) (* (- 1) (* inv_x2y1 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi1_y2)) (* (- 1) inv_x1x2) (* (- 1) (* inv_x1y2 phi1_x2)) (* (- 1) (* inv_x2y2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi1_y3)) (* (- 1) (* inv_x1y3 phi1_x2)) (* (- 1) (* inv_x2y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_x2)) (* (- 1) (* inv_x2y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_x2)) (* (- 1) (* inv_x1x2 phi1_0)) (* (- 1) (* inv_x2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi1_y1)) inv_x1y1 (* inv_x1y4 syn2_y1) (* (- 1) (* inv_y1y1 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi1_y2)) (* (- 2) inv_x1y1) (* (- 1) (* inv_x1y2 phi1_y1)) inv_x1y2 (* (- 1) (* inv_x1y4 syn2_y1)) (* inv_x1y4 syn2_y2) (* (- 1) (* inv_y1y2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi1_y3)) (* (- 1) (* inv_x1y3 phi1_y1)) inv_x1y3 (* inv_x1y4 syn2_y3) (* (- 1) (* inv_y1y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_y1)) (* inv_x1y4 syn2_y4) (* (- 1) (* inv_y1y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_y1)) inv_x1 (* (- 1) (* inv_x1y1 phi1_0)) (* inv_x1y4 syn2_0) (* (- 1) (* inv_y1 phi1_x1)))))
(assert (= 0 (+ inv_x1y1 (* (- 1) (* inv_x1y2 phi1_y2)) (* (- 1) inv_x1y2) (* (- 1) (* inv_x1y4 syn2_y2)) (* (- 1) (* inv_y2y2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y2 phi1_y3)) (* (- 1) (* inv_x1y3 phi1_y2)) (* (- 1) inv_x1y3) (* (- 1) (* inv_x1y4 syn2_y3)) (* (- 1) (* inv_y2y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y2 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_y2)) (* (- 1) (* inv_x1y4 syn2_y4)) (* (- 1) (* inv_y2y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_y2)) (* (- 1) inv_x1) (* (- 1) (* inv_x1y2 phi1_0)) (* (- 1) (* inv_x1y4 syn2_0)) (* (- 1) (* inv_y2 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y3 phi1_y3)) (* (- 1) (* inv_y3y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y3 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_y3)) (* (- 1) (* inv_y3y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_y3)) (* (- 1) (* inv_x1y3 phi1_0)) (* (- 1) (* inv_y3 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi1_y4)) (* (- 1) (* inv_x1y4 phi1_0)) (* (- 1) (* inv_y4 phi1_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x1)) (* (- 1) (* inv_x1 phi1_0)))))
(assert (= 0 (* (- 1) (* inv_x2x2 phi1_x2))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi1_y1)) inv_x2x2 (* (- 1) (* inv_x2y1 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi1_y2)) (* (- 1) inv_x2x2) (* (- 1) (* inv_x2y2 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi1_y3)) (* (- 1) (* inv_x2y3 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi1_y4)) (* (- 1) (* inv_x2y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi1_x2)) (* (- 1) (* inv_x2x2 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi1_y1)) inv_x2y1 (* inv_x2y4 syn2_y1) (* (- 1) (* inv_y1y1 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi1_y2)) (* (- 2) inv_x2y1) (* (- 1) (* inv_x2y2 phi1_y1)) inv_x2y2 (* (- 1) (* inv_x2y4 syn2_y1)) (* inv_x2y4 syn2_y2) (* (- 1) (* inv_y1y2 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi1_y3)) (* (- 1) (* inv_x2y3 phi1_y1)) inv_x2y3 (* inv_x2y4 syn2_y3) (* (- 1) (* inv_y1y3 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi1_y4)) (* (- 1) (* inv_x2y4 phi1_y1)) (* inv_x2y4 syn2_y4) (* (- 1) (* inv_y1y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi1_y1)) inv_x2 (* (- 1) (* inv_x2y1 phi1_0)) (* inv_x2y4 syn2_0) (* (- 1) (* inv_y1 phi1_x2)))))
(assert (= 0 (+ inv_x2y1 (* (- 1) (* inv_x2y2 phi1_y2)) (* (- 1) inv_x2y2) (* (- 1) (* inv_x2y4 syn2_y2)) (* (- 1) (* inv_y2y2 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y2 phi1_y3)) (* (- 1) (* inv_x2y3 phi1_y2)) (* (- 1) inv_x2y3) (* (- 1) (* inv_x2y4 syn2_y3)) (* (- 1) (* inv_y2y3 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y2 phi1_y4)) (* (- 1) (* inv_x2y4 phi1_y2)) (* (- 1) (* inv_x2y4 syn2_y4)) (* (- 1) (* inv_y2y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi1_y2)) (* (- 1) inv_x2) (* (- 1) (* inv_x2y2 phi1_0)) (* (- 1) (* inv_x2y4 syn2_0)) (* (- 1) (* inv_y2 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y3 phi1_y3)) (* (- 1) (* inv_y3y3 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y3 phi1_y4)) (* (- 1) (* inv_x2y4 phi1_y3)) (* (- 1) (* inv_y3y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi1_y3)) (* (- 1) (* inv_x2y3 phi1_0)) (* (- 1) (* inv_y3 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi1_y4)) (* (- 1) (* inv_x2y4 phi1_0)) (* (- 1) (* inv_y4 phi1_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x2)) (* (- 1) (* inv_x2 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi1_y1)) inv_y1y1 (* inv_y1y4 syn2_y1) (* inv_y4y4 syn2_y1 syn2_y1))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi1_y2)) (* (- 3) inv_y1y1) (* (- 1) (* inv_y1y2 phi1_y1)) inv_y1y2 (* (- 2) (* inv_y1y4 syn2_y1)) (* inv_y1y4 syn2_y2) (* inv_y2y4 syn2_y1) (* (- 1) (* inv_y4y4 syn2_y1 syn2_y1)) (* 2 (* inv_y4y4 syn2_y1 syn2_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi1_y3)) (* (- 1) (* inv_y1y3 phi1_y1)) inv_y1y3 (* inv_y1y4 syn2_y3) (* inv_y3y4 syn2_y1) (* 2 (* inv_y4y4 syn2_y1 syn2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi1_y4)) (* (- 1) (* inv_y1y4 phi1_y1)) (* inv_y1y4 syn2_y4) (* 2 (* inv_y4y4 syn2_y1 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi1_y1)) inv_y1 (* (- 1) (* inv_y1y1 phi1_0)) (* inv_y1y4 syn2_0) (* inv_y4 syn2_y1) (* 2 (* inv_y4y4 syn2_0 syn2_y1)))))
(assert (= 0 (+ (* 3 inv_y1y1) (* (- 1) (* inv_y1y2 phi1_y2)) (* (- 2) inv_y1y2) (* inv_y1y4 syn2_y1) (* (- 2) (* inv_y1y4 syn2_y2)) (* (- 1) (* inv_y2y2 phi1_y1)) inv_y2y2 (* (- 1) (* inv_y2y4 syn2_y1)) (* inv_y2y4 syn2_y2) (* (- 2) (* inv_y4y4 syn2_y1 syn2_y2)) (* inv_y4y4 syn2_y2 syn2_y2))))
(assert (= 0 (+ (* (- 1) (* inv_y1y2 phi1_y3)) (* (- 1) (* inv_y1y3 phi1_y2)) (* (- 2) inv_y1y3) (* (- 2) (* inv_y1y4 syn2_y3)) (* (- 1) (* inv_y2y3 phi1_y1)) inv_y2y3 (* inv_y2y4 syn2_y3) (* (- 1) (* inv_y3y4 syn2_y1)) (* inv_y3y4 syn2_y2) (* (- 2) (* inv_y4y4 syn2_y1 syn2_y3)) (* 2 (* inv_y4y4 syn2_y2 syn2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y2 phi1_y4)) (* (- 1) (* inv_y1y4 phi1_y2)) (* (- 2) (* inv_y1y4 syn2_y4)) (* (- 1) (* inv_y2y4 phi1_y1)) (* inv_y2y4 syn2_y4) (* (- 2) (* inv_y4y4 syn2_y1 syn2_y4)) (* 2 (* inv_y4y4 syn2_y2 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi1_y2)) (* (- 2) inv_y1) (* (- 1) (* inv_y1y2 phi1_0)) (* (- 2) (* inv_y1y4 syn2_0)) (* (- 1) (* inv_y2 phi1_y1)) inv_y2 (* inv_y2y4 syn2_0) (* (- 1) (* inv_y4 syn2_y1)) (* inv_y4 syn2_y2) (* (- 2) (* inv_y4y4 syn2_0 syn2_y1)) (* 2 (* inv_y4y4 syn2_0 syn2_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y3 phi1_y3)) (* (- 1) (* inv_y3y3 phi1_y1)) inv_y3y3 (* inv_y3y4 syn2_y3) (* inv_y4y4 syn2_y3 syn2_y3))))
(assert (= 0 (+ (* (- 1) (* inv_y1y3 phi1_y4)) (* (- 1) (* inv_y1y4 phi1_y3)) (* (- 1) (* inv_y3y4 phi1_y1)) (* inv_y3y4 syn2_y4) (* 2 (* inv_y4y4 syn2_y3 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi1_y3)) (* (- 1) (* inv_y1y3 phi1_0)) (* (- 1) (* inv_y3 phi1_y1)) inv_y3 (* inv_y3y4 syn2_0) (* inv_y4 syn2_y3) (* 2 (* inv_y4y4 syn2_0 syn2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_y1)) (* inv_y4y4 syn2_y4 syn2_y4))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi1_y4)) (* (- 1) (* inv_y1y4 phi1_0)) (* (- 1) (* inv_y4 phi1_y1)) (* inv_y4 syn2_y4) (* 2 (* inv_y4y4 syn2_0 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y1)) inv_0 (* (- 1) (* inv_y1 phi1_0)) (* inv_y4 syn2_0) (* inv_y4y4 syn2_0 syn2_0))))
(assert (= 0 (+ (* (- 1) inv_y1y1) inv_y1y2 (* inv_y1y4 syn2_y2) (* (- 1) (* inv_y2y2 phi1_y2)) (* (- 1) inv_y2y2) (* (- 1) (* inv_y2y4 syn2_y2)) (* (- 1) (* inv_y4y4 syn2_y2 syn2_y2)))))
(assert (= 0 (+ inv_y1y3 (* inv_y1y4 syn2_y3) (* (- 1) (* inv_y2y2 phi1_y3)) (* (- 1) (* inv_y2y3 phi1_y2)) (* (- 1) inv_y2y3) (* (- 1) (* inv_y2y4 syn2_y3)) (* (- 1) (* inv_y3y4 syn2_y2)) (* (- 2) (* inv_y4y4 syn2_y2 syn2_y3)))))
(assert (= 0 (+ (* inv_y1y4 syn2_y4) (* (- 1) (* inv_y2y2 phi1_y4)) (* (- 1) (* inv_y2y4 phi1_y2)) (* (- 1) (* inv_y2y4 syn2_y4)) (* (- 2) (* inv_y4y4 syn2_y2 syn2_y4)))))
(assert (= 0 (+ inv_y1 (* inv_y1y4 syn2_0) (* (- 1) (* inv_y2 phi1_y2)) (* (- 1) inv_y2) (* (- 1) (* inv_y2y2 phi1_0)) (* (- 1) (* inv_y2y4 syn2_0)) (* (- 1) (* inv_y4 syn2_y2)) (* (- 2) (* inv_y4y4 syn2_0 syn2_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y3 phi1_y3)) (* (- 1) (* inv_y3y3 phi1_y2)) (* (- 1) inv_y3y3) (* (- 1) (* inv_y3y4 syn2_y3)) (* (- 1) (* inv_y4y4 syn2_y3 syn2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y3 phi1_y4)) (* (- 1) (* inv_y2y4 phi1_y3)) (* (- 1) (* inv_y3y4 phi1_y2)) (* (- 1) (* inv_y3y4 syn2_y4)) (* (- 2) (* inv_y4y4 syn2_y3 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_y2 phi1_y3)) (* (- 1) (* inv_y2y3 phi1_0)) (* (- 1) (* inv_y3 phi1_y2)) (* (- 1) inv_y3) (* (- 1) (* inv_y3y4 syn2_0)) (* (- 1) (* inv_y4 syn2_y3)) (* (- 2) (* inv_y4y4 syn2_0 syn2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_y2)) (* (- 1) (* inv_y4y4 syn2_y4 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_y2 phi1_y4)) (* (- 1) (* inv_y2y4 phi1_0)) (* (- 1) (* inv_y4 phi1_y2)) (* (- 1) (* inv_y4 syn2_y4)) (* (- 2) (* inv_y4y4 syn2_0 syn2_y4)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y2)) (* (- 1) inv_0) (* (- 1) (* inv_y2 phi1_0)) (* (- 1) (* inv_y4 syn2_0)) (* (- 1) (* inv_y4y4 syn2_0 syn2_0)))))
(assert (= 0 (* (- 1) (* inv_y3y3 phi1_y3))))
(assert (= 0 (+ (* (- 1) (* inv_y3y3 phi1_y4)) (* (- 1) (* inv_y3y4 phi1_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y3 phi1_y3)) (* (- 1) (* inv_y3y3 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_y3y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y3 phi1_y4)) (* (- 1) (* inv_y3y4 phi1_0)) (* (- 1) (* inv_y4 phi1_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y3)) (* (- 1) (* inv_y3 phi1_0)))))
(assert (= 0 (* (- 1) (* inv_y4y4 phi1_y4))))
(assert (= 0 (+ (* (- 1) (* inv_y4 phi1_y4)) (* (- 1) (* inv_y4y4 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y4)) (* (- 1) (* inv_y4 phi1_0)))))
(assert (= 0 (* (- 1) (* inv_0 phi1_0))))
(assert (= 0 (* (- 1) (* inv_x1x1 phi2_x1))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi2_x2)) (* (- 1) (* inv_x1x2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi2_y1)) inv_x1x1 (* (- 1) (* inv_x1y1 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi2_y2)) (* (- 1) inv_x1x1) (* (- 1) (* inv_x1y2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi2_y3)) (* (- 1) (* inv_x1y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x1 phi2_y4)) (* (- 1) (* inv_x1y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_x1)) (* (- 1) (* inv_x1x1 phi2_0)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi2_x2)) (* (- 1) (* inv_x2x2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi2_y1)) inv_x1x2 (* (- 1) (* inv_x1y1 phi2_x2)) (* (- 1) (* inv_x2y1 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi2_y2)) (* (- 1) inv_x1x2) (* (- 1) (* inv_x1y2 phi2_x2)) (* (- 1) (* inv_x2y2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi2_y3)) (* (- 1) (* inv_x1y3 phi2_x2)) (* (- 1) (* inv_x2y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1x2 phi2_y4)) (* (- 1) (* inv_x1y4 phi2_x2)) (* (- 1) (* inv_x2y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_x2)) (* (- 1) (* inv_x1x2 phi2_0)) (* (- 1) (* inv_x2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi2_y1)) inv_x1y1 (* (- 1) inv_x1y2) (* inv_x1y3 syn3_y1) (* (- 1) (* inv_y1y1 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi2_y2)) (* (- 1) inv_x1y1) (* (- 1) (* inv_x1y2 phi2_y1)) (* 2 inv_x1y2) (* (- 1) (* inv_x1y3 syn3_y1)) (* inv_x1y3 syn3_y2) (* (- 1) (* inv_y1y2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi2_y3)) (* (- 1) (* inv_x1y3 phi2_y1)) (* inv_x1y3 syn3_y3) (* (- 1) (* inv_y1y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y1 phi2_y4)) (* inv_x1y3 syn3_y4) (* (- 1) (* inv_x1y4 phi2_y1)) inv_x1y4 (* (- 1) (* inv_y1y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_y1)) inv_x1 (* (- 1) (* inv_x1y1 phi2_0)) (* inv_x1y3 syn3_0) (* (- 1) (* inv_y1 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y2 phi2_y2)) (* (- 1) inv_x1y2) (* (- 1) (* inv_x1y3 syn3_y2)) (* (- 1) (* inv_y2y2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y2 phi2_y3)) (* (- 1) (* inv_x1y3 phi2_y2)) (* (- 1) (* inv_x1y3 syn3_y3)) (* (- 1) (* inv_y2y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y2 phi2_y4)) (* (- 1) (* inv_x1y3 syn3_y4)) (* (- 1) (* inv_x1y4 phi2_y2)) (* (- 1) inv_x1y4) (* (- 1) (* inv_y2y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_y2)) (* (- 1) inv_x1) (* (- 1) (* inv_x1y2 phi2_0)) (* (- 1) (* inv_x1y3 syn3_0)) (* (- 1) (* inv_y2 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y3 phi2_y3)) (* (- 1) (* inv_y3y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y3 phi2_y4)) (* (- 1) (* inv_x1y4 phi2_y3)) (* (- 1) (* inv_y3y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_y3)) (* (- 1) (* inv_x1y3 phi2_0)) (* (- 1) (* inv_y3 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1y4 phi2_y4)) (* (- 1) (* inv_y4y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_x1 phi2_y4)) (* (- 1) (* inv_x1y4 phi2_0)) (* (- 1) (* inv_y4 phi2_x1)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_x1)) (* (- 1) (* inv_x1 phi2_0)))))
(assert (= 0 (* (- 1) (* inv_x2x2 phi2_x2))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi2_y1)) inv_x2x2 (* (- 1) (* inv_x2y1 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi2_y2)) (* (- 1) inv_x2x2) (* (- 1) (* inv_x2y2 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi2_y3)) (* (- 1) (* inv_x2y3 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2x2 phi2_y4)) (* (- 1) (* inv_x2y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi2_x2)) (* (- 1) (* inv_x2x2 phi2_0)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi2_y1)) inv_x2y1 (* (- 1) inv_x2y2) (* inv_x2y3 syn3_y1) (* (- 1) (* inv_y1y1 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi2_y2)) (* (- 1) inv_x2y1) (* (- 1) (* inv_x2y2 phi2_y1)) (* 2 inv_x2y2) (* (- 1) (* inv_x2y3 syn3_y1)) (* inv_x2y3 syn3_y2) (* (- 1) (* inv_y1y2 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi2_y3)) (* (- 1) (* inv_x2y3 phi2_y1)) (* inv_x2y3 syn3_y3) (* (- 1) (* inv_y1y3 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y1 phi2_y4)) (* inv_x2y3 syn3_y4) (* (- 1) (* inv_x2y4 phi2_y1)) inv_x2y4 (* (- 1) (* inv_y1y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi2_y1)) inv_x2 (* (- 1) (* inv_x2y1 phi2_0)) (* inv_x2y3 syn3_0) (* (- 1) (* inv_y1 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y2 phi2_y2)) (* (- 1) inv_x2y2) (* (- 1) (* inv_x2y3 syn3_y2)) (* (- 1) (* inv_y2y2 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y2 phi2_y3)) (* (- 1) (* inv_x2y3 phi2_y2)) (* (- 1) (* inv_x2y3 syn3_y3)) (* (- 1) (* inv_y2y3 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y2 phi2_y4)) (* (- 1) (* inv_x2y3 syn3_y4)) (* (- 1) (* inv_x2y4 phi2_y2)) (* (- 1) inv_x2y4) (* (- 1) (* inv_y2y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi2_y2)) (* (- 1) inv_x2) (* (- 1) (* inv_x2y2 phi2_0)) (* (- 1) (* inv_x2y3 syn3_0)) (* (- 1) (* inv_y2 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y3 phi2_y3)) (* (- 1) (* inv_y3y3 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y3 phi2_y4)) (* (- 1) (* inv_x2y4 phi2_y3)) (* (- 1) (* inv_y3y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi2_y3)) (* (- 1) (* inv_x2y3 phi2_0)) (* (- 1) (* inv_y3 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2y4 phi2_y4)) (* (- 1) (* inv_y4y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_x2 phi2_y4)) (* (- 1) (* inv_x2y4 phi2_0)) (* (- 1) (* inv_y4 phi2_x2)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_x2)) (* (- 1) (* inv_x2 phi2_0)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi2_y1)) inv_y1y1 (* (- 1) inv_y1y2) (* inv_y1y3 syn3_y1) inv_y2y2 (* (- 1) (* inv_y2y3 syn3_y1)) (* inv_y3y3 syn3_y1 syn3_y1))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi2_y2)) (* (- 1) inv_y1y1) (* (- 1) (* inv_y1y2 phi2_y1)) (* 2 inv_y1y2) (* (- 1) (* inv_y1y3 syn3_y1)) (* inv_y1y3 syn3_y2) (* (- 3) inv_y2y2) (* 2 (* inv_y2y3 syn3_y1)) (* (- 1) (* inv_y2y3 syn3_y2)) (* (- 1) (* inv_y3y3 syn3_y1 syn3_y1)) (* 2 (* inv_y3y3 syn3_y1 syn3_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi2_y3)) (* (- 1) (* inv_y1y3 phi2_y1)) (* inv_y1y3 syn3_y3) (* (- 1) (* inv_y2y3 syn3_y3)) (* 2 (* inv_y3y3 syn3_y1 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y1 phi2_y4)) (* inv_y1y3 syn3_y4) (* (- 1) (* inv_y1y4 phi2_y1)) inv_y1y4 (* (- 1) (* inv_y2y3 syn3_y4)) (* (- 1) inv_y2y4) (* 2 (* inv_y3y3 syn3_y1 syn3_y4)) (* inv_y3y4 syn3_y1))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi2_y1)) inv_y1 (* (- 1) (* inv_y1y1 phi2_0)) (* inv_y1y3 syn3_0) (* (- 1) inv_y2) (* (- 1) (* inv_y2y3 syn3_0)) (* inv_y3 syn3_y1) (* 2 (* inv_y3y3 syn3_0 syn3_y1)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y2 phi2_y2)) (* (- 1) inv_y1y2) (* (- 1) (* inv_y1y3 syn3_y2)) (* (- 1) (* inv_y2y2 phi2_y1)) (* 3 inv_y2y2) (* (- 1) (* inv_y2y3 syn3_y1)) (* 2 (* inv_y2y3 syn3_y2)) (* (- 2) (* inv_y3y3 syn3_y1 syn3_y2)) (* inv_y3y3 syn3_y2 syn3_y2))))
(assert (= 0 (+ (* (- 1) (* inv_y1y2 phi2_y3)) (* (- 1) (* inv_y1y3 phi2_y2)) (* (- 1) (* inv_y1y3 syn3_y3)) (* (- 1) (* inv_y2y3 phi2_y1)) (* 2 (* inv_y2y3 syn3_y3)) (* (- 2) (* inv_y3y3 syn3_y1 syn3_y3)) (* 2 (* inv_y3y3 syn3_y2 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y2 phi2_y4)) (* (- 1) (* inv_y1y3 syn3_y4)) (* (- 1) (* inv_y1y4 phi2_y2)) (* (- 1) inv_y1y4) (* 2 (* inv_y2y3 syn3_y4)) (* (- 1) (* inv_y2y4 phi2_y1)) (* 2 inv_y2y4) (* (- 2) (* inv_y3y3 syn3_y1 syn3_y4)) (* 2 (* inv_y3y3 syn3_y2 syn3_y4)) (* (- 1) (* inv_y3y4 syn3_y1)) (* inv_y3y4 syn3_y2))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi2_y2)) (* (- 1) inv_y1) (* (- 1) (* inv_y1y2 phi2_0)) (* (- 1) (* inv_y1y3 syn3_0)) (* (- 1) (* inv_y2 phi2_y1)) (* 2 inv_y2) (* 2 (* inv_y2y3 syn3_0)) (* (- 1) (* inv_y3 syn3_y1)) (* inv_y3 syn3_y2) (* (- 2) (* inv_y3y3 syn3_0 syn3_y1)) (* 2 (* inv_y3y3 syn3_0 syn3_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y3 phi2_y3)) (* (- 1) (* inv_y3y3 phi2_y1)) (* inv_y3y3 syn3_y3 syn3_y3))))
(assert (= 0 (+ (* (- 1) (* inv_y1y3 phi2_y4)) (* (- 1) (* inv_y1y4 phi2_y3)) (* 2 (* inv_y3y3 syn3_y3 syn3_y4)) (* (- 1) (* inv_y3y4 phi2_y1)) (* inv_y3y4 syn3_y3))))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi2_y3)) (* (- 1) (* inv_y1y3 phi2_0)) (* (- 1) (* inv_y3 phi2_y1)) (* inv_y3 syn3_y3) (* 2 (* inv_y3y3 syn3_0 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y1y4 phi2_y4)) (* inv_y3y3 syn3_y4 syn3_y4) (* inv_y3y4 syn3_y4) (* (- 1) (* inv_y4y4 phi2_y1)) inv_y4y4)))
(assert (= 0 (+ (* (- 1) (* inv_y1 phi2_y4)) (* (- 1) (* inv_y1y4 phi2_0)) (* inv_y3 syn3_y4) (* 2 (* inv_y3y3 syn3_0 syn3_y4)) (* inv_y3y4 syn3_0) (* (- 1) (* inv_y4 phi2_y1)) inv_y4)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_y1)) inv_0 (* (- 1) (* inv_y1 phi2_0)) (* inv_y3 syn3_0) (* inv_y3y3 syn3_0 syn3_0))))
(assert (= 0 (+ (* (- 1) (* inv_y2y2 phi2_y2)) (* (- 1) inv_y2y2) (* (- 1) (* inv_y2y3 syn3_y2)) (* (- 1) (* inv_y3y3 syn3_y2 syn3_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y2 phi2_y3)) (* (- 1) (* inv_y2y3 phi2_y2)) (* (- 1) (* inv_y2y3 syn3_y3)) (* (- 2) (* inv_y3y3 syn3_y2 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y2 phi2_y4)) (* (- 1) (* inv_y2y3 syn3_y4)) (* (- 1) (* inv_y2y4 phi2_y2)) (* (- 1) inv_y2y4) (* (- 2) (* inv_y3y3 syn3_y2 syn3_y4)) (* (- 1) (* inv_y3y4 syn3_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y2 phi2_y2)) (* (- 1) inv_y2) (* (- 1) (* inv_y2y2 phi2_0)) (* (- 1) (* inv_y2y3 syn3_0)) (* (- 1) (* inv_y3 syn3_y2)) (* (- 2) (* inv_y3y3 syn3_0 syn3_y2)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y3 phi2_y3)) (* (- 1) (* inv_y3y3 phi2_y2)) (* (- 1) (* inv_y3y3 syn3_y3 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y3 phi2_y4)) (* (- 1) (* inv_y2y4 phi2_y3)) (* (- 2) (* inv_y3y3 syn3_y3 syn3_y4)) (* (- 1) (* inv_y3y4 phi2_y2)) (* (- 1) (* inv_y3y4 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2 phi2_y3)) (* (- 1) (* inv_y2y3 phi2_0)) (* (- 1) (* inv_y3 phi2_y2)) (* (- 1) (* inv_y3 syn3_y3)) (* (- 2) (* inv_y3y3 syn3_0 syn3_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y2y4 phi2_y4)) (* (- 1) (* inv_y3y3 syn3_y4 syn3_y4)) (* (- 1) (* inv_y3y4 syn3_y4)) (* (- 1) (* inv_y4y4 phi2_y2)) (* (- 1) inv_y4y4))))
(assert (= 0 (+ (* (- 1) (* inv_y2 phi2_y4)) (* (- 1) (* inv_y2y4 phi2_0)) (* (- 1) (* inv_y3 syn3_y4)) (* (- 2) (* inv_y3y3 syn3_0 syn3_y4)) (* (- 1) (* inv_y3y4 syn3_0)) (* (- 1) (* inv_y4 phi2_y2)) (* (- 1) inv_y4))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_y2)) (* (- 1) inv_0) (* (- 1) (* inv_y2 phi2_0)) (* (- 1) (* inv_y3 syn3_0)) (* (- 1) (* inv_y3y3 syn3_0 syn3_0)))))
(assert (= 0 (* (- 1) (* inv_y3y3 phi2_y3))))
(assert (= 0 (+ (* (- 1) (* inv_y3y3 phi2_y4)) (* (- 1) (* inv_y3y4 phi2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y3 phi2_y3)) (* (- 1) (* inv_y3y3 phi2_0)))))
(assert (= 0 (+ (* (- 1) (* inv_y3y4 phi2_y4)) (* (- 1) (* inv_y4y4 phi2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_y3 phi2_y4)) (* (- 1) (* inv_y3y4 phi2_0)) (* (- 1) (* inv_y4 phi2_y3)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_y3)) (* (- 1) (* inv_y3 phi2_0)))))
(assert (= 0 (* (- 1) (* inv_y4y4 phi2_y4))))
(assert (= 0 (+ (* (- 1) (* inv_y4 phi2_y4)) (* (- 1) (* inv_y4y4 phi2_0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_y4)) (* (- 1) (* inv_y4 phi2_0)))))
(assert (= 0 (* (- 1) (* inv_0 phi2_0))))

(check-sat)
(get-model)
