(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_sss () Real)
(declare-fun inv_ssx0 () Real)
(declare-fun inv_ssy () Real)
(declare-fun inv_ssy0 () Real)
(declare-fun inv_ss () Real)
(declare-fun inv_sx0x0 () Real)
(declare-fun inv_sx0y () Real)
(declare-fun inv_sx0y0 () Real)
(declare-fun inv_sx0 () Real)
(declare-fun inv_syy () Real)
(declare-fun inv_syy0 () Real)
(declare-fun inv_sy () Real)
(declare-fun inv_sy0y0 () Real)
(declare-fun inv_sy0 () Real)
(declare-fun inv_s () Real)
(declare-fun inv_x0x0x0 () Real)
(declare-fun inv_x0x0y () Real)
(declare-fun inv_x0x0y0 () Real)
(declare-fun inv_x0x0 () Real)
(declare-fun inv_x0yy () Real)
(declare-fun inv_x0yy0 () Real)
(declare-fun inv_x0y () Real)
(declare-fun inv_x0y0y0 () Real)
(declare-fun inv_x0y0 () Real)
(declare-fun inv_x0 () Real)
(declare-fun inv_yyy () Real)
(declare-fun inv_yyy0 () Real)
(declare-fun inv_yy () Real)
(declare-fun inv_yy0y0 () Real)
(declare-fun inv_yy0 () Real)
(declare-fun inv_y () Real)
(declare-fun inv_y0y0y0 () Real)
(declare-fun inv_y0y0 () Real)
(declare-fun inv_y0 () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_ss () Real)
(declare-fun phi1_sx0 () Real)
(declare-fun phi1_sy () Real)
(declare-fun phi1_sy0 () Real)
(declare-fun phi1_s () Real)
(declare-fun phi1_x0x0 () Real)
(declare-fun phi1_x0y () Real)
(declare-fun phi1_x0y0 () Real)
(declare-fun phi1_x0 () Real)
(declare-fun phi1_yy () Real)
(declare-fun syn1_s () Real)
(declare-fun phi1_yy0 () Real)
(declare-fun phi1_y () Real)
(declare-fun phi1_y0y0 () Real)
(declare-fun phi1_y0 () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn1_x0 () Real)
(declare-fun syn1_y () Real)
(declare-fun syn1_y0 () Real)
(declare-fun syn1_0 () Real)

(assert (not (and (= 0 inv_sss) (= 0 inv_ssx0) (= 0 inv_ssy) (= 0 inv_ssy0) (= 0 inv_ss) (= 0 inv_sx0x0) (= 0 inv_sx0y) (= 0 inv_sx0y0) (= 0 inv_sx0) (= 0 inv_syy) (= 0 inv_syy0) (= 0 inv_sy) (= 0 inv_sy0y0) (= 0 inv_sy0) (= 0 inv_s) (= 0 inv_x0x0x0) (= 0 inv_x0x0y) (= 0 inv_x0x0y0) (= 0 inv_x0x0) (= 0 inv_x0yy) (= 0 inv_x0yy0) (= 0 inv_x0y) (= 0 inv_x0y0y0) (= 0 inv_x0y0) (= 0 inv_x0) (= 0 inv_yyy) (= 0 inv_yyy0) (= 0 inv_yy) (= 0 inv_yy0y0) (= 0 inv_yy0) (= 0 inv_y) (= 0 inv_y0y0y0) (= 0 inv_y0y0) (= 0 inv_y0) (= 0 inv_0))))
(assert (= 0 (+ inv_sss inv_ssx0 inv_sx0x0 inv_x0x0x0)))
(assert (= 0 (+ inv_ssy inv_sx0y inv_x0x0y)))
(assert (= 0 (+ inv_ssy0 inv_sx0y0 inv_x0x0y0)))
(assert (= 0 (+ inv_ss inv_sx0 inv_x0x0)))
(assert (= 0 (+ inv_syy inv_x0yy)))
(assert (= 0 (+ inv_sy inv_x0y)))
(assert (= 0 (+ inv_sy0y0 inv_x0y0y0)))
(assert (= 0 (+ inv_sy0 inv_x0y0)))
(assert (= 0 (+ inv_s inv_syy0 inv_x0 inv_x0yy0)))
(assert (= 0 inv_yyy))
(assert (= 0 inv_yy))
(assert (= 0 (+ inv_y inv_yyy0)))
(assert (= 0 inv_y0y0y0))
(assert (= 0 inv_y0y0))
(assert (= 0 (+ inv_y0 inv_yy0y0)))
(assert (= 0 (+ inv_0 inv_yy0)))
(assert (= 0 (* (- 1) inv_sss)))
(assert (= 0 (* (- 1) inv_ssx0)))
(assert (= 0 (* (- 1) inv_ssy0)))
(assert (= 0 (+ (* (- 1) inv_ss) (* (- 1) inv_ssy))))
(assert (= 0 (* (- 1) inv_sx0x0)))
(assert (= 0 (* (- 1) inv_sx0y0)))
(assert (= 0 (+ (* (- 1) inv_sx0) (* (- 1) inv_sx0y))))
(assert (= 0 (* (- 1) inv_sy0y0)))
(assert (= 0 (+ (* (- 1) inv_sy0) (* (- 1) inv_syy0))))
(assert (= 0 (+ (* (- 1) inv_s) (* (- 1) inv_sy) (* (- 1) inv_syy) 1)))
(assert (= 0 (* (- 1) inv_x0x0x0)))
(assert (= 0 (* (- 1) inv_x0x0y0)))
(assert (= 0 (+ (* (- 1) inv_x0x0) (* (- 1) inv_x0x0y))))
(assert (= 0 (* (- 1) inv_x0y0y0)))
(assert (= 0 (+ (* (- 1) inv_x0y0) (* (- 1) inv_x0yy0) (* (- 1) 1))))
(assert (= 0 (+ (* (- 1) inv_x0) (* (- 1) inv_x0y) (* (- 1) inv_x0yy))))
(assert (= 0 (* (- 1) inv_y0y0y0)))
(assert (= 0 (+ (* (- 1) inv_y0y0) (* (- 1) inv_yy0y0))))
(assert (= 0 (+ (* (- 1) inv_y0) (* (- 1) inv_yy0) (* (- 1) inv_yyy0))))
(assert (= 0 (+ (* (- 1) inv_0) (* (- 1) inv_y) (* (- 1) inv_yy) (* (- 1) inv_yyy))))
(assert (= 0 inv_yyy))
(assert (= 0 (* (- 1) (* inv_sss phi1_ss))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_sx0)) (* (- 1) (* inv_ssx0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_sy)) (* (- 1) (* inv_ssy phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_sy0)) (* (- 1) (* inv_ssy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_ss)) (* (- 1) (* inv_sss phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_x0x0)) (* (- 1) (* inv_ssx0 phi1_sx0)) (* (- 1) (* inv_sx0x0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_x0y)) (* (- 1) (* inv_ssx0 phi1_sy)) (* (- 1) (* inv_ssy phi1_sx0)) (* (- 1) (* inv_sx0y phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_x0y0)) (* (- 1) (* inv_ssx0 phi1_sy0)) (* (- 1) (* inv_ssy0 phi1_sx0)) (* (- 1) (* inv_sx0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_sx0)) (* (- 1) (* inv_sss phi1_x0)) (* (- 1) (* inv_ssx0 phi1_s)) (* (- 1) (* inv_sx0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_yy)) (* inv_sss syn1_s syn1_s syn1_s) (* (- 1) (* inv_ssy phi1_sy)) (* (- 1) (* inv_syy phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_yy0)) (* (- 1) (* inv_ssy phi1_sy0)) (* (- 1) (* inv_ssy0 phi1_sy)) (* (- 1) (* inv_syy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_sy)) (* (- 1) (* inv_sss phi1_y)) (* (- 2) (* inv_sss syn1_s syn1_s syn1_s)) (* (- 1) (* inv_ssy phi1_s)) (* (- 1) (* inv_sy phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_sss phi1_y0y0)) (* (- 1) (* inv_ssy0 phi1_sy0)) (* (- 1) (* inv_sy0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_sy0)) (* (- 1) (* inv_sss phi1_y0)) (* (- 1) (* inv_ssy0 phi1_s)) (* (- 1) (* inv_sy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_ss)) (* (- 1) (* inv_ss phi1_s)) (* (- 1) (* inv_sss phi1_0)) (* inv_sss syn1_s syn1_s syn1_s))))
(assert (= 0 (+ (* (- 1) (* inv_ssx0 phi1_x0x0)) (* (- 1) (* inv_sx0x0 phi1_sx0)) (* (- 1) (* inv_x0x0x0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssx0 phi1_x0y)) (* (- 1) (* inv_ssy phi1_x0x0)) (* (- 1) (* inv_sx0x0 phi1_sy)) (* (- 1) (* inv_sx0y phi1_sx0)) (* (- 1) (* inv_x0x0y phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssx0 phi1_x0y0)) (* (- 1) (* inv_ssy0 phi1_x0x0)) (* (- 1) (* inv_sx0x0 phi1_sy0)) (* (- 1) (* inv_sx0y0 phi1_sx0)) (* (- 1) (* inv_x0x0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_x0x0)) (* (- 1) (* inv_ssx0 phi1_x0)) (* (- 1) (* inv_sx0 phi1_sx0)) (* (- 1) (* inv_sx0x0 phi1_s)) (* (- 1) (* inv_x0x0 phi1_ss)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_s syn1_x0)) (* (- 1) (* inv_ssx0 phi1_yy)) (* inv_ssx0 syn1_s syn1_s) (* (- 1) (* inv_ssy phi1_x0y)) (* (- 1) (* inv_sx0y phi1_sy)) (* (- 1) (* inv_syy phi1_sx0)) (* (- 1) (* inv_x0yy phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssx0 phi1_yy0)) (* (- 1) (* inv_ssy phi1_x0y0)) (* (- 1) (* inv_ssy0 phi1_x0y)) (* (- 1) (* inv_sx0y phi1_sy0)) (* (- 1) (* inv_sx0y0 phi1_sy)) (* (- 1) (* inv_syy0 phi1_sx0)) (* (- 1) (* inv_x0yy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_x0y)) (* (- 6) (* inv_sss syn1_s syn1_s syn1_x0)) (* (- 1) (* inv_ssx0 phi1_y)) (* (- 2) (* inv_ssx0 syn1_s syn1_s)) (* (- 1) (* inv_ssy phi1_x0)) (* (- 1) (* inv_sx0 phi1_sy)) (* (- 1) (* inv_sx0y phi1_s)) (* (- 1) (* inv_sy phi1_sx0)) (* (- 1) (* inv_x0y phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssx0 phi1_y0y0)) (* (- 1) (* inv_ssy0 phi1_x0y0)) (* (- 1) (* inv_sx0y0 phi1_sy0)) (* (- 1) (* inv_sy0y0 phi1_sx0)) (* (- 1) (* inv_x0y0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_x0y0)) (* (- 1) (* inv_ssx0 phi1_y0)) (* (- 1) (* inv_ssy0 phi1_x0)) (* (- 1) (* inv_sx0 phi1_sy0)) (* (- 1) (* inv_sx0y0 phi1_s)) (* (- 1) (* inv_sy0 phi1_sx0)) (* (- 1) (* inv_x0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_sx0)) (* (- 1) (* inv_ss phi1_x0)) (* 3 (* inv_sss syn1_s syn1_s syn1_x0)) (* (- 1) (* inv_ssx0 phi1_0)) (* inv_ssx0 syn1_s syn1_s) (* (- 1) (* inv_sx0 phi1_s)) (* (- 1) (* inv_x0 phi1_ss)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_s syn1_y)) (* (- 1) (* inv_ssy phi1_yy)) (* (- 1) (* inv_syy phi1_sy)) (* (- 1) (* inv_yyy phi1_ss)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_s syn1_y0)) (* (- 1) (* inv_ssy phi1_yy0)) (* (- 1) (* inv_ssy0 phi1_yy)) (* inv_ssy0 syn1_s syn1_s) (* (- 1) (* inv_syy phi1_sy0)) (* (- 1) (* inv_syy0 phi1_sy)) (* (- 1) (* inv_yyy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_yy)) (* inv_ss syn1_s syn1_s) (* 3 (* inv_sss syn1_0 syn1_s syn1_s)) (* (- 6) (* inv_sss syn1_s syn1_s syn1_y)) (* (- 1) (* inv_ssy phi1_y)) (* (- 1) (* inv_ssy syn1_s syn1_s)) (* (- 1) (* inv_sy phi1_sy)) (* (- 1) (* inv_syy phi1_s)) (* (- 1) (* inv_yy phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssy phi1_y0y0)) (* (- 1) (* inv_ssy0 phi1_yy0)) (* (- 1) (* inv_sy0y0 phi1_sy)) (* (- 1) (* inv_syy0 phi1_sy0)) (* (- 1) (* inv_yy0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_yy0)) (* (- 6) (* inv_sss syn1_s syn1_s syn1_y0)) (* (- 1) (* inv_ssy phi1_y0)) (* (- 1) (* inv_ssy0 phi1_y)) (* (- 2) (* inv_ssy0 syn1_s syn1_s)) (* (- 1) (* inv_sy phi1_sy0)) (* (- 1) (* inv_sy0 phi1_sy)) (* (- 1) (* inv_syy0 phi1_s)) (* (- 1) (* inv_yy0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_sy)) (* (- 1) (* inv_ss phi1_y)) (* (- 2) (* inv_ss syn1_s syn1_s)) (* (- 6) (* inv_sss syn1_0 syn1_s syn1_s)) (* 3 (* inv_sss syn1_s syn1_s syn1_y)) (* (- 1) (* inv_ssy phi1_0)) (* inv_ssy syn1_s syn1_s) (* (- 1) (* inv_sy phi1_s)) (* (- 1) (* inv_y phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ssy0 phi1_y0y0)) (* (- 1) (* inv_sy0y0 phi1_sy0)) (* (- 1) (* inv_y0y0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_y0y0)) (* (- 1) (* inv_ssy0 phi1_y0)) (* (- 1) (* inv_sy0 phi1_sy0)) (* (- 1) (* inv_sy0y0 phi1_s)) (* (- 1) (* inv_y0y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_sy0)) (* (- 1) (* inv_ss phi1_y0)) (* 3 (* inv_sss syn1_s syn1_s syn1_y0)) (* (- 1) (* inv_ssy0 phi1_0)) (* inv_ssy0 syn1_s syn1_s) (* (- 1) (* inv_sy0 phi1_s)) (* (- 1) (* inv_y0 phi1_ss)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_ss)) (* (- 1) (* inv_s phi1_s)) (* (- 1) (* inv_ss phi1_0)) (* inv_ss syn1_s syn1_s) (* 3 (* inv_sss syn1_0 syn1_s syn1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0x0 phi1_x0x0)) (* (- 1) (* inv_x0x0x0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0x0 phi1_x0y)) (* (- 1) (* inv_sx0y phi1_x0x0)) (* (- 1) (* inv_x0x0x0 phi1_sy)) (* (- 1) (* inv_x0x0y phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0x0 phi1_x0y0)) (* (- 1) (* inv_sx0y0 phi1_x0x0)) (* (- 1) (* inv_x0x0x0 phi1_sy0)) (* (- 1) (* inv_x0x0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0 phi1_x0x0)) (* (- 1) (* inv_sx0x0 phi1_x0)) (* (- 1) (* inv_x0x0 phi1_sx0)) (* (- 1) (* inv_x0x0x0 phi1_s)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_x0 syn1_x0)) (* 2 (* inv_ssx0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0x0 phi1_yy)) (* inv_sx0x0 syn1_s) (* (- 1) (* inv_sx0y phi1_x0y)) (* (- 1) (* inv_syy phi1_x0x0)) (* (- 1) (* inv_x0x0y phi1_sy)) (* (- 1) (* inv_x0yy phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0x0 phi1_yy0)) (* (- 1) (* inv_sx0y phi1_x0y0)) (* (- 1) (* inv_sx0y0 phi1_x0y)) (* (- 1) (* inv_syy0 phi1_x0x0)) (* (- 1) (* inv_x0x0y phi1_sy0)) (* (- 1) (* inv_x0x0y0 phi1_sy)) (* (- 1) (* inv_x0yy0 phi1_sx0)))))
(assert (= 0 (+ (* (- 6) (* inv_sss syn1_s syn1_x0 syn1_x0)) (* (- 4) (* inv_ssx0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_x0y)) (* (- 1) (* inv_sx0x0 phi1_y)) (* (- 2) (* inv_sx0x0 syn1_s)) (* (- 1) (* inv_sx0y phi1_x0)) (* (- 1) (* inv_sy phi1_x0x0)) (* (- 1) (* inv_x0x0 phi1_sy)) (* (- 1) (* inv_x0x0y phi1_s)) (* (- 1) (* inv_x0y phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0x0 phi1_y0y0)) (* (- 1) (* inv_sx0y0 phi1_x0y0)) (* (- 1) (* inv_sy0y0 phi1_x0x0)) (* (- 1) (* inv_x0x0y0 phi1_sy0)) (* (- 1) (* inv_x0y0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0 phi1_x0y0)) (* (- 1) (* inv_sx0x0 phi1_y0)) (* (- 1) (* inv_sx0y0 phi1_x0)) (* (- 1) (* inv_sy0 phi1_x0x0)) (* (- 1) (* inv_x0x0 phi1_sy0)) (* (- 1) (* inv_x0x0y0 phi1_s)) (* (- 1) (* inv_x0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_x0x0)) (* 3 (* inv_sss syn1_s syn1_x0 syn1_x0)) (* 2 (* inv_ssx0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_x0)) (* (- 1) (* inv_sx0x0 phi1_0)) (* inv_sx0x0 syn1_s) (* (- 1) (* inv_x0 phi1_sx0)) (* (- 1) (* inv_x0x0 phi1_s)))))
(assert (= 0 (+ (* 6 (* inv_sss syn1_s syn1_x0 syn1_y)) (* 2 (* inv_ssx0 syn1_s syn1_y)) (* (- 1) (* inv_sx0y phi1_yy)) (* (- 1) (* inv_syy phi1_x0y)) (* (- 1) (* inv_x0yy phi1_sy)) (* (- 1) (* inv_yyy phi1_sx0)))))
(assert (= 0 (+ (* 6 (* inv_sss syn1_s syn1_x0 syn1_y0)) (* 2 (* inv_ssx0 syn1_s syn1_y0)) (* 2 (* inv_ssy0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0y phi1_yy0)) (* (- 1) (* inv_sx0y0 phi1_yy)) (* inv_sx0y0 syn1_s) (* (- 1) (* inv_syy phi1_x0y0)) (* (- 1) (* inv_syy0 phi1_x0y)) (* (- 1) (* inv_x0yy phi1_sy0)) (* (- 1) (* inv_x0yy0 phi1_sy)) (* (- 1) (* inv_yyy0 phi1_sx0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_x0)) (* 6 (* inv_sss syn1_0 syn1_s syn1_x0)) (* (- 12) (* inv_sss syn1_s syn1_x0 syn1_y)) (* 2 (* inv_ssx0 syn1_0 syn1_s)) (* (- 4) (* inv_ssx0 syn1_s syn1_y)) (* (- 2) (* inv_ssy syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_yy)) (* inv_sx0 syn1_s) (* (- 1) (* inv_sx0y phi1_y)) (* (- 1) (* inv_sx0y syn1_s)) (* (- 1) (* inv_sy phi1_x0y)) (* (- 1) (* inv_syy phi1_x0)) (* (- 1) (* inv_x0y phi1_sy)) (* (- 1) (* inv_x0yy phi1_s)) (* (- 1) (* inv_yy phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0y phi1_y0y0)) (* (- 1) (* inv_sx0y0 phi1_yy0)) (* (- 1) (* inv_sy0y0 phi1_x0y)) (* (- 1) (* inv_syy0 phi1_x0y0)) (* (- 1) (* inv_x0y0y0 phi1_sy)) (* (- 1) (* inv_x0yy0 phi1_sy0)) (* (- 1) (* inv_yy0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 12) (* inv_sss syn1_s syn1_x0 syn1_y0)) (* (- 4) (* inv_ssx0 syn1_s syn1_y0)) (* (- 4) (* inv_ssy0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_yy0)) (* (- 1) (* inv_sx0y phi1_y0)) (* (- 1) (* inv_sx0y0 phi1_y)) (* (- 2) (* inv_sx0y0 syn1_s)) (* (- 1) (* inv_sy phi1_x0y0)) (* (- 1) (* inv_sy0 phi1_x0y)) (* (- 1) (* inv_syy0 phi1_x0)) (* (- 1) (* inv_x0y phi1_sy0)) (* (- 1) (* inv_x0y0 phi1_sy)) (* (- 1) (* inv_x0yy0 phi1_s)) (* (- 1) (* inv_yy0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_x0y)) (* (- 4) (* inv_ss syn1_s syn1_x0)) (* (- 12) (* inv_sss syn1_0 syn1_s syn1_x0)) (* 6 (* inv_sss syn1_s syn1_x0 syn1_y)) (* (- 4) (* inv_ssx0 syn1_0 syn1_s)) (* 2 (* inv_ssx0 syn1_s syn1_y)) (* 2 (* inv_ssy syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_y)) (* (- 2) (* inv_sx0 syn1_s)) (* (- 1) (* inv_sx0y phi1_0)) (* inv_sx0y syn1_s) (* (- 1) (* inv_sy phi1_x0)) (* (- 1) (* inv_x0 phi1_sy)) (* (- 1) (* inv_x0y phi1_s)) (* (- 1) (* inv_y phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0y0 phi1_y0y0)) (* (- 1) (* inv_sy0y0 phi1_x0y0)) (* (- 1) (* inv_x0y0y0 phi1_sy0)) (* (- 1) (* inv_y0y0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0 phi1_y0y0)) (* (- 1) (* inv_sx0y0 phi1_y0)) (* (- 1) (* inv_sy0 phi1_x0y0)) (* (- 1) (* inv_sy0y0 phi1_x0)) (* (- 1) (* inv_x0y0 phi1_sy0)) (* (- 1) (* inv_x0y0y0 phi1_s)) (* (- 1) (* inv_y0y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_x0y0)) (* 6 (* inv_sss syn1_s syn1_x0 syn1_y0)) (* 2 (* inv_ssx0 syn1_s syn1_y0)) (* 2 (* inv_ssy0 syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_y0)) (* (- 1) (* inv_sx0y0 phi1_0)) (* inv_sx0y0 syn1_s) (* (- 1) (* inv_sy0 phi1_x0)) (* (- 1) (* inv_x0 phi1_sy0)) (* (- 1) (* inv_x0y0 phi1_s)) (* (- 1) (* inv_y0 phi1_sx0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_sx0)) (* (- 1) (* inv_s phi1_x0)) (* 2 (* inv_ss syn1_s syn1_x0)) (* 6 (* inv_sss syn1_0 syn1_s syn1_x0)) (* 2 (* inv_ssx0 syn1_0 syn1_s)) (* (- 1) (* inv_sx0 phi1_0)) (* inv_sx0 syn1_s) (* (- 1) (* inv_x0 phi1_s)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_y syn1_y)) (* (- 1) (* inv_syy phi1_yy)) (* (- 1) (* inv_yyy phi1_sy)))))
(assert (= 0 (+ (* 6 (* inv_sss syn1_s syn1_y syn1_y0)) (* 2 (* inv_ssy0 syn1_s syn1_y)) (* (- 1) (* inv_syy phi1_yy0)) (* (- 1) (* inv_syy0 phi1_yy)) (* (- 1) (* inv_yyy phi1_sy0)) (* (- 1) (* inv_yyy0 phi1_sy)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_y)) (* 6 (* inv_sss syn1_0 syn1_s syn1_y)) (* (- 6) (* inv_sss syn1_s syn1_y syn1_y)) (* (- 2) (* inv_ssy syn1_s syn1_y)) (* (- 1) (* inv_sy phi1_yy)) (* (- 1) (* inv_syy phi1_y)) (* (- 1) (* inv_yy phi1_sy)) (* (- 1) (* inv_yyy phi1_s)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_s syn1_y0 syn1_y0)) (* 2 (* inv_ssy0 syn1_s syn1_y0)) (* (- 1) (* inv_sy0y0 phi1_yy)) (* inv_sy0y0 syn1_s) (* (- 1) (* inv_syy phi1_y0y0)) (* (- 1) (* inv_syy0 phi1_yy0)) (* (- 1) (* inv_yy0y0 phi1_sy)) (* (- 1) (* inv_yyy0 phi1_sy0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_s syn1_y0)) (* (- 12) (* inv_sss syn1_s syn1_y syn1_y0)) (* (- 2) (* inv_ssy syn1_s syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_s)) (* (- 4) (* inv_ssy0 syn1_s syn1_y)) (* (- 1) (* inv_sy phi1_yy0)) (* (- 1) (* inv_sy0 phi1_yy)) (* inv_sy0 syn1_s) (* (- 1) (* inv_syy phi1_y0)) (* (- 1) (* inv_syy0 phi1_y)) (* (- 1) (* inv_syy0 syn1_s)) (* (- 1) (* inv_yy phi1_sy0)) (* (- 1) (* inv_yy0 phi1_sy)) (* (- 1) (* inv_yyy0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_yy)) (* inv_s syn1_s) (* 2 (* inv_ss syn1_0 syn1_s)) (* (- 4) (* inv_ss syn1_s syn1_y)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_s)) (* (- 12) (* inv_sss syn1_0 syn1_s syn1_y)) (* 3 (* inv_sss syn1_s syn1_y syn1_y)) (* (- 2) (* inv_ssy syn1_0 syn1_s)) (* 2 (* inv_ssy syn1_s syn1_y)) (* (- 1) (* inv_sy phi1_y)) (* (- 1) (* inv_sy syn1_s)) (* (- 1) (* inv_syy phi1_0)) (* inv_syy syn1_s) (* (- 1) (* inv_y phi1_sy)) (* (- 1) (* inv_yy phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sy0y0 phi1_yy0)) (* (- 1) (* inv_syy0 phi1_y0y0)) (* (- 1) (* inv_y0y0y0 phi1_sy)) (* (- 1) (* inv_yy0y0 phi1_sy0)))))
(assert (= 0 (+ (* (- 6) (* inv_sss syn1_s syn1_y0 syn1_y0)) (* (- 4) (* inv_ssy0 syn1_s syn1_y0)) (* (- 1) (* inv_sy phi1_y0y0)) (* (- 1) (* inv_sy0 phi1_yy0)) (* (- 1) (* inv_sy0y0 phi1_y)) (* (- 2) (* inv_sy0y0 syn1_s)) (* (- 1) (* inv_syy0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_sy)) (* (- 1) (* inv_yy0 phi1_sy0)) (* (- 1) (* inv_yy0y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_yy0)) (* (- 4) (* inv_ss syn1_s syn1_y0)) (* (- 12) (* inv_sss syn1_0 syn1_s syn1_y0)) (* 6 (* inv_sss syn1_s syn1_y syn1_y0)) (* 2 (* inv_ssy syn1_s syn1_y0)) (* (- 4) (* inv_ssy0 syn1_0 syn1_s)) (* 2 (* inv_ssy0 syn1_s syn1_y)) (* (- 1) (* inv_sy phi1_y0)) (* (- 1) (* inv_sy0 phi1_y)) (* (- 2) (* inv_sy0 syn1_s)) (* (- 1) (* inv_syy0 phi1_0)) (* inv_syy0 syn1_s) (* (- 1) (* inv_y phi1_sy0)) (* (- 1) (* inv_y0 phi1_sy)) (* (- 1) (* inv_yy0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_sy)) (* (- 1) (* inv_s phi1_y)) (* (- 2) (* inv_s syn1_s)) (* (- 4) (* inv_ss syn1_0 syn1_s)) (* 2 (* inv_ss syn1_s syn1_y)) (* (- 6) (* inv_sss syn1_0 syn1_0 syn1_s)) (* 6 (* inv_sss syn1_0 syn1_s syn1_y)) (* 2 (* inv_ssy syn1_0 syn1_s)) (* (- 1) (* inv_sy phi1_0)) (* inv_sy syn1_s) (* (- 1) (* inv_y phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sy0y0 phi1_y0y0)) (* (- 1) (* inv_y0y0y0 phi1_sy0)))))
(assert (= 0 (+ (* (- 1) (* inv_sy0 phi1_y0y0)) (* (- 1) (* inv_sy0y0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_sy0)) (* (- 1) (* inv_y0y0y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_y0y0)) (* 3 (* inv_sss syn1_s syn1_y0 syn1_y0)) (* 2 (* inv_ssy0 syn1_s syn1_y0)) (* (- 1) (* inv_sy0 phi1_y0)) (* (- 1) (* inv_sy0y0 phi1_0)) (* inv_sy0y0 syn1_s) (* (- 1) (* inv_y0 phi1_sy0)) (* (- 1) (* inv_y0y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_sy0)) (* (- 1) (* inv_s phi1_y0)) (* 2 (* inv_ss syn1_s syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_s syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_s)) (* (- 1) (* inv_sy0 phi1_0)) (* inv_sy0 syn1_s) (* (- 1) (* inv_y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_s)) (* (- 1) (* inv_s phi1_0)) (* inv_s syn1_s) (* 2 (* inv_ss syn1_0 syn1_s)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_s)))))
(assert (= 0 (* (- 1) (* inv_x0x0x0 phi1_x0x0))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0x0 phi1_x0y)) (* (- 1) (* inv_x0x0y phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0x0 phi1_x0y0)) (* (- 1) (* inv_x0x0y0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0 phi1_x0x0)) (* (- 1) (* inv_x0x0x0 phi1_x0)))))
(assert (= 0 (+ (* inv_sss syn1_x0 syn1_x0 syn1_x0) (* inv_ssx0 syn1_x0 syn1_x0) (* inv_sx0x0 syn1_x0) (* (- 1) (* inv_x0x0x0 phi1_yy)) inv_x0x0x0 (* (- 1) (* inv_x0x0y phi1_x0y)) (* (- 1) (* inv_x0yy phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0x0 phi1_yy0)) (* (- 1) (* inv_x0x0y phi1_x0y0)) (* (- 1) (* inv_x0x0y0 phi1_x0y)) (* (- 1) (* inv_x0yy0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 2) (* inv_sss syn1_x0 syn1_x0 syn1_x0)) (* (- 2) (* inv_ssx0 syn1_x0 syn1_x0)) (* (- 2) (* inv_sx0x0 syn1_x0)) (* (- 1) (* inv_x0x0 phi1_x0y)) (* (- 1) (* inv_x0x0x0 phi1_y)) (* (- 2) inv_x0x0x0) (* (- 1) (* inv_x0x0y phi1_x0)) (* (- 1) (* inv_x0y phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0x0 phi1_y0y0)) (* (- 1) (* inv_x0x0y0 phi1_x0y0)) (* (- 1) (* inv_x0y0y0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0 phi1_x0y0)) (* (- 1) (* inv_x0x0x0 phi1_y0)) (* (- 1) (* inv_x0x0y0 phi1_x0)) (* (- 1) (* inv_x0y0 phi1_x0x0)))))
(assert (= 0 (+ (* inv_sss syn1_x0 syn1_x0 syn1_x0) (* inv_ssx0 syn1_x0 syn1_x0) (* inv_sx0x0 syn1_x0) (* (- 1) (* inv_x0 phi1_x0x0)) (* (- 1) (* inv_x0x0 phi1_x0)) (* (- 1) (* inv_x0x0x0 phi1_0)) inv_x0x0x0)))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_x0 syn1_y)) (* 2 (* inv_ssx0 syn1_x0 syn1_y)) (* inv_sx0x0 syn1_y) (* (- 1) (* inv_x0x0y phi1_yy)) (* (- 1) (* inv_x0yy phi1_x0y)) (* (- 1) (* inv_yyy phi1_x0x0)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_x0 syn1_y0)) (* 2 (* inv_ssx0 syn1_x0 syn1_y0)) (* inv_ssy0 syn1_x0 syn1_x0) (* inv_sx0x0 syn1_y0) (* inv_sx0y0 syn1_x0) (* (- 1) (* inv_x0x0y phi1_yy0)) (* (- 1) (* inv_x0x0y0 phi1_yy)) inv_x0x0y0 (* (- 1) (* inv_x0yy phi1_x0y0)) (* (- 1) (* inv_x0yy0 phi1_x0y)) (* (- 1) (* inv_yyy0 phi1_x0x0)))))
(assert (= 0 (+ (* inv_ss syn1_x0 syn1_x0) (* 3 (* inv_sss syn1_0 syn1_x0 syn1_x0)) (* (- 6) (* inv_sss syn1_x0 syn1_x0 syn1_y)) (* 2 (* inv_ssx0 syn1_0 syn1_x0)) (* (- 4) (* inv_ssx0 syn1_x0 syn1_y)) (* (- 1) (* inv_ssy syn1_x0 syn1_x0)) (* inv_sx0 syn1_x0) (* inv_sx0x0 syn1_0) (* (- 2) (* inv_sx0x0 syn1_y)) (* (- 1) (* inv_sx0y syn1_x0)) (* (- 1) (* inv_x0x0 phi1_yy)) inv_x0x0 (* (- 1) (* inv_x0x0y phi1_y)) (* (- 1) inv_x0x0y) (* (- 1) (* inv_x0y phi1_x0y)) (* (- 1) (* inv_x0yy phi1_x0)) (* (- 1) (* inv_yy phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0y phi1_y0y0)) (* (- 1) (* inv_x0x0y0 phi1_yy0)) (* (- 1) (* inv_x0y0y0 phi1_x0y)) (* (- 1) (* inv_x0yy0 phi1_x0y0)) (* (- 1) (* inv_yy0y0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 6) (* inv_sss syn1_x0 syn1_x0 syn1_y0)) (* (- 4) (* inv_ssx0 syn1_x0 syn1_y0)) (* (- 2) (* inv_ssy0 syn1_x0 syn1_x0)) (* (- 2) (* inv_sx0x0 syn1_y0)) (* (- 2) (* inv_sx0y0 syn1_x0)) (* (- 1) (* inv_x0x0 phi1_yy0)) (* (- 1) (* inv_x0x0y phi1_y0)) (* (- 1) (* inv_x0x0y0 phi1_y)) (* (- 2) inv_x0x0y0) (* (- 1) (* inv_x0y phi1_x0y0)) (* (- 1) (* inv_x0y0 phi1_x0y)) (* (- 1) (* inv_x0yy0 phi1_x0)) (* (- 1) (* inv_yy0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 2) (* inv_ss syn1_x0 syn1_x0)) (* (- 6) (* inv_sss syn1_0 syn1_x0 syn1_x0)) (* 3 (* inv_sss syn1_x0 syn1_x0 syn1_y)) (* (- 4) (* inv_ssx0 syn1_0 syn1_x0)) (* 2 (* inv_ssx0 syn1_x0 syn1_y)) (* inv_ssy syn1_x0 syn1_x0) (* (- 2) (* inv_sx0 syn1_x0)) (* (- 2) (* inv_sx0x0 syn1_0)) (* inv_sx0x0 syn1_y) (* inv_sx0y syn1_x0) (* (- 1) (* inv_x0 phi1_x0y)) (* (- 1) (* inv_x0x0 phi1_y)) (* (- 2) inv_x0x0) (* (- 1) (* inv_x0x0y phi1_0)) inv_x0x0y (* (- 1) (* inv_x0y phi1_x0)) (* (- 1) (* inv_y phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0y0 phi1_y0y0)) (* (- 1) (* inv_x0y0y0 phi1_x0y0)) (* (- 1) (* inv_y0y0y0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0 phi1_y0y0)) (* (- 1) (* inv_x0x0y0 phi1_y0)) (* (- 1) (* inv_x0y0 phi1_x0y0)) (* (- 1) (* inv_x0y0y0 phi1_x0)) (* (- 1) (* inv_y0y0 phi1_x0x0)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_x0 syn1_y0)) (* 2 (* inv_ssx0 syn1_x0 syn1_y0)) (* inv_ssy0 syn1_x0 syn1_x0) (* inv_sx0x0 syn1_y0) (* inv_sx0y0 syn1_x0) (* (- 1) (* inv_x0 phi1_x0y0)) (* (- 1) (* inv_x0x0 phi1_y0)) (* (- 1) (* inv_x0x0y0 phi1_0)) inv_x0x0y0 (* (- 1) (* inv_x0y0 phi1_x0)) (* (- 1) (* inv_y0 phi1_x0x0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x0x0)) (* inv_ss syn1_x0 syn1_x0) (* 3 (* inv_sss syn1_0 syn1_x0 syn1_x0)) (* 2 (* inv_ssx0 syn1_0 syn1_x0)) (* inv_sx0 syn1_x0) (* inv_sx0x0 syn1_0) (* (- 1) (* inv_x0 phi1_x0)) (* (- 1) (* inv_x0x0 phi1_0)) inv_x0x0)))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_y syn1_y)) (* inv_ssx0 syn1_y syn1_y) (* (- 1) (* inv_x0yy phi1_yy)) (* (- 1) (* inv_yyy phi1_x0y)))))
(assert (= 0 (+ (* 6 (* inv_sss syn1_x0 syn1_y syn1_y0)) (* 2 (* inv_ssx0 syn1_y syn1_y0)) (* 2 (* inv_ssy0 syn1_x0 syn1_y)) (* inv_sx0y0 syn1_y) (* (- 1) (* inv_x0yy phi1_yy0)) (* (- 1) (* inv_x0yy0 phi1_yy)) (* (- 1) (* inv_yyy phi1_x0y0)) (* (- 1) (* inv_yyy0 phi1_x0y)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_x0 syn1_y)) (* 6 (* inv_sss syn1_0 syn1_x0 syn1_y)) (* (- 6) (* inv_sss syn1_x0 syn1_y syn1_y)) (* 2 (* inv_ssx0 syn1_0 syn1_y)) (* (- 2) (* inv_ssx0 syn1_y syn1_y)) (* (- 2) (* inv_ssy syn1_x0 syn1_y)) (* inv_sx0 syn1_y) (* (- 1) (* inv_sx0y syn1_y)) (* (- 1) (* inv_x0y phi1_yy)) (* (- 1) (* inv_x0yy phi1_y)) (* (- 1) (* inv_yy phi1_x0y)) (* (- 1) (* inv_yyy phi1_x0)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_y0 syn1_y0)) (* inv_ssx0 syn1_y0 syn1_y0) (* 2 (* inv_ssy0 syn1_x0 syn1_y0)) (* inv_sx0y0 syn1_y0) (* inv_sy0y0 syn1_x0) (* (- 1) (* inv_x0y0y0 phi1_yy)) inv_x0y0y0 (* (- 1) (* inv_x0yy phi1_y0y0)) (* (- 1) (* inv_x0yy0 phi1_yy0)) (* (- 1) (* inv_yy0y0 phi1_x0y)) (* (- 1) (* inv_yyy0 phi1_x0y0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_x0 syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_x0 syn1_y0)) (* (- 12) (* inv_sss syn1_x0 syn1_y syn1_y0)) (* 2 (* inv_ssx0 syn1_0 syn1_y0)) (* (- 4) (* inv_ssx0 syn1_y syn1_y0)) (* (- 2) (* inv_ssy syn1_x0 syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_x0)) (* (- 4) (* inv_ssy0 syn1_x0 syn1_y)) (* inv_sx0 syn1_y0) (* (- 1) (* inv_sx0y syn1_y0)) (* inv_sx0y0 syn1_0) (* (- 2) (* inv_sx0y0 syn1_y)) (* inv_sy0 syn1_x0) (* (- 1) (* inv_syy0 syn1_x0)) (* (- 1) (* inv_x0y phi1_yy0)) (* (- 1) (* inv_x0y0 phi1_yy)) inv_x0y0 (* (- 1) (* inv_x0yy phi1_y0)) (* (- 1) (* inv_x0yy0 phi1_y)) (* (- 1) inv_x0yy0) (* (- 1) (* inv_yy phi1_x0y0)) (* (- 1) (* inv_yy0 phi1_x0y)) (* (- 1) (* inv_yyy0 phi1_x0)))))
(assert (= 0 (+ (* inv_s syn1_x0) (* 2 (* inv_ss syn1_0 syn1_x0)) (* (- 4) (* inv_ss syn1_x0 syn1_y)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_x0)) (* (- 12) (* inv_sss syn1_0 syn1_x0 syn1_y)) (* 3 (* inv_sss syn1_x0 syn1_y syn1_y)) (* inv_ssx0 syn1_0 syn1_0) (* (- 4) (* inv_ssx0 syn1_0 syn1_y)) (* inv_ssx0 syn1_y syn1_y) (* (- 2) (* inv_ssy syn1_0 syn1_x0)) (* 2 (* inv_ssy syn1_x0 syn1_y)) (* inv_sx0 syn1_0) (* (- 2) (* inv_sx0 syn1_y)) (* (- 1) (* inv_sx0y syn1_0)) (* inv_sx0y syn1_y) (* (- 1) (* inv_sy syn1_x0)) (* inv_syy syn1_x0) (* (- 1) (* inv_x0 phi1_yy)) inv_x0 (* (- 1) (* inv_x0y phi1_y)) (* (- 1) inv_x0y) (* (- 1) (* inv_x0yy phi1_0)) inv_x0yy (* (- 1) (* inv_y phi1_x0y)) (* (- 1) (* inv_yy phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0y0y0 phi1_yy0)) (* (- 1) (* inv_x0yy0 phi1_y0y0)) (* (- 1) (* inv_y0y0y0 phi1_x0y)) (* (- 1) (* inv_yy0y0 phi1_x0y0)))))
(assert (= 0 (+ (* (- 6) (* inv_sss syn1_x0 syn1_y0 syn1_y0)) (* (- 2) (* inv_ssx0 syn1_y0 syn1_y0)) (* (- 4) (* inv_ssy0 syn1_x0 syn1_y0)) (* (- 2) (* inv_sx0y0 syn1_y0)) (* (- 2) (* inv_sy0y0 syn1_x0)) (* (- 1) (* inv_x0y phi1_y0y0)) (* (- 1) (* inv_x0y0 phi1_yy0)) (* (- 1) (* inv_x0y0y0 phi1_y)) (* (- 2) inv_x0y0y0) (* (- 1) (* inv_x0yy0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_x0y)) (* (- 1) (* inv_yy0 phi1_x0y0)) (* (- 1) (* inv_yy0y0 phi1_x0)))))
(assert (= 0 (+ (* (- 4) (* inv_ss syn1_x0 syn1_y0)) (* (- 12) (* inv_sss syn1_0 syn1_x0 syn1_y0)) (* 6 (* inv_sss syn1_x0 syn1_y syn1_y0)) (* (- 4) (* inv_ssx0 syn1_0 syn1_y0)) (* 2 (* inv_ssx0 syn1_y syn1_y0)) (* 2 (* inv_ssy syn1_x0 syn1_y0)) (* (- 4) (* inv_ssy0 syn1_0 syn1_x0)) (* 2 (* inv_ssy0 syn1_x0 syn1_y)) (* (- 2) (* inv_sx0 syn1_y0)) (* inv_sx0y syn1_y0) (* (- 2) (* inv_sx0y0 syn1_0)) (* inv_sx0y0 syn1_y) (* (- 2) (* inv_sy0 syn1_x0)) (* inv_syy0 syn1_x0) (* (- 1) (* inv_x0 phi1_yy0)) (* (- 1) (* inv_x0y phi1_y0)) (* (- 1) (* inv_x0y0 phi1_y)) (* (- 2) inv_x0y0) (* (- 1) (* inv_x0yy0 phi1_0)) inv_x0yy0 (* (- 1) (* inv_y phi1_x0y0)) (* (- 1) (* inv_y0 phi1_x0y)) (* (- 1) (* inv_yy0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x0y)) (* (- 2) (* inv_s syn1_x0)) (* (- 4) (* inv_ss syn1_0 syn1_x0)) (* 2 (* inv_ss syn1_x0 syn1_y)) (* (- 6) (* inv_sss syn1_0 syn1_0 syn1_x0)) (* 6 (* inv_sss syn1_0 syn1_x0 syn1_y)) (* (- 2) (* inv_ssx0 syn1_0 syn1_0)) (* 2 (* inv_ssx0 syn1_0 syn1_y)) (* 2 (* inv_ssy syn1_0 syn1_x0)) (* (- 2) (* inv_sx0 syn1_0)) (* inv_sx0 syn1_y) (* inv_sx0y syn1_0) (* inv_sy syn1_x0) (* (- 1) (* inv_x0 phi1_y)) (* (- 2) inv_x0) (* (- 1) (* inv_x0y phi1_0)) inv_x0y (* (- 1) (* inv_y phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0y0y0 phi1_y0y0)) (* (- 1) (* inv_y0y0y0 phi1_x0y0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0y0 phi1_y0y0)) (* (- 1) (* inv_x0y0y0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_x0y0)) (* (- 1) (* inv_y0y0y0 phi1_x0)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_x0 syn1_y0 syn1_y0)) (* inv_ssx0 syn1_y0 syn1_y0) (* 2 (* inv_ssy0 syn1_x0 syn1_y0)) (* inv_sx0y0 syn1_y0) (* inv_sy0y0 syn1_x0) (* (- 1) (* inv_x0 phi1_y0y0)) (* (- 1) (* inv_x0y0 phi1_y0)) (* (- 1) (* inv_x0y0y0 phi1_0)) inv_x0y0y0 (* (- 1) (* inv_y0 phi1_x0y0)) (* (- 1) (* inv_y0y0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x0y0)) (* 2 (* inv_ss syn1_x0 syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_x0 syn1_y0)) (* 2 (* inv_ssx0 syn1_0 syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_x0)) (* inv_sx0 syn1_y0) (* inv_sx0y0 syn1_0) (* inv_sy0 syn1_x0) (* (- 1) (* inv_x0 phi1_y0)) (* (- 1) (* inv_x0y0 phi1_0)) inv_x0y0 (* (- 1) (* inv_y0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x0)) (* inv_s syn1_x0) (* 2 (* inv_ss syn1_0 syn1_x0)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_x0)) (* inv_ssx0 syn1_0 syn1_0) (* inv_sx0 syn1_0) (* (- 1) (* inv_x0 phi1_0)) inv_x0)))
(assert (= 0 (+ (* inv_sss syn1_y syn1_y syn1_y) (* (- 1) (* inv_yyy phi1_yy)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_y syn1_y syn1_y0)) (* inv_ssy0 syn1_y syn1_y) (* (- 1) (* inv_yyy phi1_yy0)) (* (- 1) (* inv_yyy0 phi1_yy)))))
(assert (= 0 (+ (* inv_ss syn1_y syn1_y) (* 3 (* inv_sss syn1_0 syn1_y syn1_y)) (* (- 2) (* inv_sss syn1_y syn1_y syn1_y)) (* (- 1) (* inv_ssy syn1_y syn1_y)) (* (- 1) (* inv_yy phi1_yy)) (* (- 1) (* inv_yyy phi1_y)))))
(assert (= 0 (+ (* 3 (* inv_sss syn1_y syn1_y0 syn1_y0)) (* 2 (* inv_ssy0 syn1_y syn1_y0)) (* inv_sy0y0 syn1_y) (* (- 1) (* inv_yy0y0 phi1_yy)) (* (- 1) (* inv_yyy phi1_y0y0)) (* (- 1) (* inv_yyy0 phi1_yy0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_y syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_y syn1_y0)) (* (- 6) (* inv_sss syn1_y syn1_y syn1_y0)) (* (- 2) (* inv_ssy syn1_y syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_y)) (* (- 2) (* inv_ssy0 syn1_y syn1_y)) (* inv_sy0 syn1_y) (* (- 1) (* inv_syy0 syn1_y)) (* (- 1) (* inv_yy phi1_yy0)) (* (- 1) (* inv_yy0 phi1_yy)) (* (- 1) (* inv_yyy phi1_y0)) (* (- 1) (* inv_yyy0 phi1_y)))))
(assert (= 0 (+ (* inv_s syn1_y) (* 2 (* inv_ss syn1_0 syn1_y)) (* (- 2) (* inv_ss syn1_y syn1_y)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_y)) (* (- 6) (* inv_sss syn1_0 syn1_y syn1_y)) (* inv_sss syn1_y syn1_y syn1_y) (* (- 2) (* inv_ssy syn1_0 syn1_y)) (* inv_ssy syn1_y syn1_y) (* (- 1) (* inv_sy syn1_y)) (* inv_syy syn1_y) (* (- 1) (* inv_y phi1_yy)) (* (- 1) (* inv_yy phi1_y)) (* (- 1) (* inv_yyy phi1_0)))))
(assert (= 0 (+ (* inv_sss syn1_y0 syn1_y0 syn1_y0) (* inv_ssy0 syn1_y0 syn1_y0) (* inv_sy0y0 syn1_y0) (* (- 1) (* inv_y0y0y0 phi1_yy)) inv_y0y0y0 (* (- 1) (* inv_yy0y0 phi1_yy0)) (* (- 1) (* inv_yyy0 phi1_y0y0)))))
(assert (= 0 (+ (* inv_ss syn1_y0 syn1_y0) (* 3 (* inv_sss syn1_0 syn1_y0 syn1_y0)) (* (- 6) (* inv_sss syn1_y syn1_y0 syn1_y0)) (* (- 1) (* inv_ssy syn1_y0 syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_y0)) (* (- 4) (* inv_ssy0 syn1_y syn1_y0)) (* inv_sy0 syn1_y0) (* inv_sy0y0 syn1_0) (* (- 2) (* inv_sy0y0 syn1_y)) (* (- 1) (* inv_syy0 syn1_y0)) (* (- 1) (* inv_y0y0 phi1_yy)) inv_y0y0 (* (- 1) (* inv_yy phi1_y0y0)) (* (- 1) (* inv_yy0 phi1_yy0)) (* (- 1) (* inv_yy0y0 phi1_y)) (* (- 1) inv_yy0y0) (* (- 1) (* inv_yyy0 phi1_y0)))))
(assert (= 0 (+ (* inv_s syn1_y0) (* 2 (* inv_ss syn1_0 syn1_y0)) (* (- 4) (* inv_ss syn1_y syn1_y0)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_y0)) (* (- 12) (* inv_sss syn1_0 syn1_y syn1_y0)) (* 3 (* inv_sss syn1_y syn1_y syn1_y0)) (* (- 2) (* inv_ssy syn1_0 syn1_y0)) (* 2 (* inv_ssy syn1_y syn1_y0)) (* inv_ssy0 syn1_0 syn1_0) (* (- 4) (* inv_ssy0 syn1_0 syn1_y)) (* inv_ssy0 syn1_y syn1_y) (* (- 1) (* inv_sy syn1_y0)) (* inv_sy0 syn1_0) (* (- 2) (* inv_sy0 syn1_y)) (* inv_syy syn1_y0) (* (- 1) (* inv_syy0 syn1_0)) (* inv_syy0 syn1_y) (* (- 1) (* inv_y phi1_yy0)) (* (- 1) (* inv_y0 phi1_yy)) inv_y0 (* (- 1) (* inv_yy phi1_y0)) (* (- 1) (* inv_yy0 phi1_y)) (* (- 1) inv_yy0) (* (- 1) (* inv_yyy0 phi1_0)) inv_yyy0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_yy)) inv_0 (* inv_s syn1_0) (* (- 2) (* inv_s syn1_y)) (* inv_ss syn1_0 syn1_0) (* (- 4) (* inv_ss syn1_0 syn1_y)) (* inv_ss syn1_y syn1_y) (* inv_sss syn1_0 syn1_0 syn1_0) (* (- 6) (* inv_sss syn1_0 syn1_0 syn1_y)) (* 3 (* inv_sss syn1_0 syn1_y syn1_y)) (* (- 1) (* inv_ssy syn1_0 syn1_0)) (* 2 (* inv_ssy syn1_0 syn1_y)) (* (- 1) (* inv_sy syn1_0)) (* inv_sy syn1_y) (* inv_syy syn1_0) (* (- 1) (* inv_y phi1_y)) (* (- 1) inv_y) (* (- 1) (* inv_yy phi1_0)) inv_yy (* (- 1) inv_yyy))))
(assert (= 0 (+ (* (- 1) (* inv_y0y0y0 phi1_yy0)) (* (- 1) (* inv_yy0y0 phi1_y0y0)))))
(assert (= 0 (+ (* (- 2) (* inv_sss syn1_y0 syn1_y0 syn1_y0)) (* (- 2) (* inv_ssy0 syn1_y0 syn1_y0)) (* (- 2) (* inv_sy0y0 syn1_y0)) (* (- 1) (* inv_y0y0 phi1_yy0)) (* (- 1) (* inv_y0y0y0 phi1_y)) (* (- 2) inv_y0y0y0) (* (- 1) (* inv_yy0 phi1_y0y0)) (* (- 1) (* inv_yy0y0 phi1_y0)))))
(assert (= 0 (+ (* (- 2) (* inv_ss syn1_y0 syn1_y0)) (* (- 6) (* inv_sss syn1_0 syn1_y0 syn1_y0)) (* 3 (* inv_sss syn1_y syn1_y0 syn1_y0)) (* inv_ssy syn1_y0 syn1_y0) (* (- 4) (* inv_ssy0 syn1_0 syn1_y0)) (* 2 (* inv_ssy0 syn1_y syn1_y0)) (* (- 2) (* inv_sy0 syn1_y0)) (* (- 2) (* inv_sy0y0 syn1_0)) (* inv_sy0y0 syn1_y) (* inv_syy0 syn1_y0) (* (- 1) (* inv_y phi1_y0y0)) (* (- 1) (* inv_y0 phi1_yy0)) (* (- 1) (* inv_y0y0 phi1_y)) (* (- 2) inv_y0y0) (* (- 1) (* inv_yy0 phi1_y0)) (* (- 1) (* inv_yy0y0 phi1_0)) inv_yy0y0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_yy0)) (* (- 2) (* inv_s syn1_y0)) (* (- 4) (* inv_ss syn1_0 syn1_y0)) (* 2 (* inv_ss syn1_y syn1_y0)) (* (- 6) (* inv_sss syn1_0 syn1_0 syn1_y0)) (* 6 (* inv_sss syn1_0 syn1_y syn1_y0)) (* 2 (* inv_ssy syn1_0 syn1_y0)) (* (- 2) (* inv_ssy0 syn1_0 syn1_0)) (* 2 (* inv_ssy0 syn1_0 syn1_y)) (* inv_sy syn1_y0) (* (- 2) (* inv_sy0 syn1_0)) (* inv_sy0 syn1_y) (* inv_syy0 syn1_0) (* (- 1) (* inv_y phi1_y0)) (* (- 1) (* inv_y0 phi1_y)) (* (- 2) inv_y0) (* (- 1) (* inv_yy0 phi1_0)) inv_yy0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y)) (* (- 2) inv_0) (* (- 2) (* inv_s syn1_0)) (* inv_s syn1_y) (* (- 2) (* inv_ss syn1_0 syn1_0)) (* 2 (* inv_ss syn1_0 syn1_y)) (* (- 2) (* inv_sss syn1_0 syn1_0 syn1_0)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_y)) (* inv_ssy syn1_0 syn1_0) (* inv_sy syn1_0) (* (- 1) (* inv_y phi1_0)) inv_y (* (- 1) inv_yyy))))
(assert (= 0 (* (- 1) (* inv_y0y0y0 phi1_y0y0))))
(assert (= 0 (+ (* (- 1) (* inv_y0y0 phi1_y0y0)) (* (- 1) (* inv_y0y0y0 phi1_y0)))))
(assert (= 0 (+ (* inv_sss syn1_y0 syn1_y0 syn1_y0) (* inv_ssy0 syn1_y0 syn1_y0) (* inv_sy0y0 syn1_y0) (* (- 1) (* inv_y0 phi1_y0y0)) (* (- 1) (* inv_y0y0 phi1_y0)) (* (- 1) (* inv_y0y0y0 phi1_0)) inv_y0y0y0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y0y0)) (* inv_ss syn1_y0 syn1_y0) (* 3 (* inv_sss syn1_0 syn1_y0 syn1_y0)) (* 2 (* inv_ssy0 syn1_0 syn1_y0)) (* inv_sy0 syn1_y0) (* inv_sy0y0 syn1_0) (* (- 1) (* inv_y0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_0)) inv_y0y0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y0)) (* inv_s syn1_y0) (* 2 (* inv_ss syn1_0 syn1_y0)) (* 3 (* inv_sss syn1_0 syn1_0 syn1_y0)) (* inv_ssy0 syn1_0 syn1_0) (* inv_sy0 syn1_0) (* (- 1) (* inv_y0 phi1_0)) inv_y0)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_0)) inv_0 (* inv_s syn1_0) (* inv_ss syn1_0 syn1_0) (* inv_sss syn1_0 syn1_0 syn1_0))))

(check-sat)
(get-model)
